/**
 *
 * @author    Jerry Bendy
 * @since     4/23/2018
 */
import checkAccess from '../utils/checkAccess'
import webCommon from '../utils/web-common';

var isAccessible = true     // 是否可访问 JS Bridge 资源

var bridgeMethods = {
    /**
     * 初始化
     */
    INIT: function() {
        if (!checkAccess()) {
            isAccessible = false
        }
    },

    /**
     * 获取用户信息
     *
     * @returns {{}}
     */
    JS_BRIDGE_GET_USER: function() {
        var cookieData = webCommon.getCookieFields()

        return Object.assign({}, {
            appName: 'ciq3',
            appVersion: 'web',
            sysType: 'web',
            sysVersion: 'unknown',
            deviceId: 'WECHAT',
            sessionId: '',
            lang: 'zh',
            domain: webCommon.getApiDomain()
        }, cookieData)
    },


}


function invoke(key, data) {
    if (typeof bridgeMethods[key] === 'function') {

        if (!isAccessible) {
            return null;
        }

        return bridgeMethods[key](data)
    }

    return null;
}

export default invoke
