/**
 *
 * @author    Jerry Bendy
 * @since     3/30/2018
 */

import Cookie from 'js-cookie';

/**
 * 提供供网页端使用的统一的函数集合，用于微信端和 Web 端共用部分代码
 */

export default {

    /**
     * 获取 Cookie 中以 wap_ 开头的字段
     * @returns {{}}
     */
    getCookieFields: function() {
        var cookies = Cookie.get(),
            ret = {}

        // 查找所有以 wap_ 开头的内容，并返回
        for (var i in cookies) {
            if (cookies.hasOwnProperty(i) && i.substr(0, 4) === 'wap_') {
                ret[i.substr(4)] = cookies[i]
            }
        }

        return ret
    },

    getApiDomain: function() {
        // 生成接口域名
        var host = location.host,
            api = 'ciqapi';

        if (/pockethr/i.test(host)) {
            api = 'api';
        }

        var matches = location.host.match(/^(intl-)?[^.]+(\.[a-z.]+)$/i)
        if (!matches) {
            return '';
        }

        return location.protocol + '//' + (matches[1] ? 'intl-' : '') + api + matches[2] + '/';
    },

    getApiDomainByPrefix: function (prefix, domain) {
        var host = location.host,
            search = 'ciqapi';
        if (!prefix) {
            return domain;
        }
        if (/pockethr/i.test(host)) {
            search = 'api';
        }
        var reg = new RegExp(search, 'i');
        return domain.replace(reg, prefix);
    }
}
